Bug 1304549 - psi: FTBFS in rawhide on armhfp
psi: FTBFS in rawhide on armhfp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
rawhide
armhfp Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
https://apps.fedoraproject.org/kosche...
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-03 18:44 EST by Raphael Groner
Modified: 2016-02-10 09:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-05 07:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (119.12 KB, text/plain)
2016-02-03 18:44 EST, Raphael Groner
no flags Details

  None (edit)
Description Raphael Groner 2016-02-03 18:44:55 EST
Created attachment 1120937 [details]
build.log

Description of problem:
Package psi fails to build from source in rawhide.

Version-Release number of selected component (if applicable):
0.15-16.fc24

Steps to Reproduce:
koji build --scratch f24 psi-0.15-16.fc24.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://apps.fedoraproject.org/koschei/package/psi
Comment 1 Raphael Groner 2016-02-03 18:46:41 EST
The interesting part of build.log:

g++ -c -pipe -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -fPIC -Wall -W -D_REENTRANT -DIRISNET_STATIC -DHAVE_XSS -DHAVE_ENCHANT -DHAVE_CONFIG -DIRIS_XMPP_JID_DEPRECATED -DXMPP_TEST -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/lib/qt4/mkspecs/linux-g++ -I. -I/usr/include/QtCore -I/usr/include/QtNetwork -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include -I/usr/include/QtCrypto -I/usr/include/minizip -I/usr/include/jdns -I/usr/include/enchant -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I../irisnet/corelib -I../irisnet/noncore -I../irisnet/noncore/legacy -I../irisnet/noncore/cutestuff -I../../src -I../../src -I../../src -I../../src -I../../src -I../../src -I. -I../../src -Ixmpp-core -Ixmpp-im -I.moc -o .obj/jid.o jid/jid.cpp
base64/base64.cpp: In static member function 'static QByteArray XMPP::Base64::decode(const QString&)':
base64/base64.cpp:65:2: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
  };
  ^
base64/base64.cpp:65:2: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]

…
base64/base64.cpp:65:2: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
Makefile:570: recipe for target '.obj/base64.o' failed
make[3]: *** [.obj/base64.o] Error 1
Comment 2 Raphael Groner 2016-02-03 18:51:00 EST
From koschei log:
2016-01-29 11:56:02 
 libgcc 	5.3.1-3.fc24 	> 	6.0.0-0.5.fc24 	
 libstdc++ 	5.3.1-3.fc24 	> 	6.0.0-0.5.fc24
 gcc    	5.3.1-3.fc24 	> 	6.0.0-0.5.fc24 	
 gcc-c++ 	5.3.1-3.fc24 	> 	6.0.0-0.5.fc24 	
 go-srpm-macros	2-4.fc24 	> 	2-5.fc24
Comment 3 Raphael Groner 2016-02-04 05:54:23 EST
Fixed.
http://koji.fedoraproject.org/koji/taskinfo?taskID=12845266

Note You need to log in before you can comment on or make changes to this bug.